Subject: Re: [IPP] Updated draft of IPP Job and Printer Extensions - Set 3 v2.0 - Canon feedback on spec

From: "Yardumian, Rick via ipp" <[email-masked]>
Date: Mon, 21 Oct 2019 12:10:17 +0000

Hi Smith,

Canon has one comment on the current IPP Job and Printer Extensions - Set 3 v2.0 specification

Relating to:
> 1.  Borderless adjustment setting
>      Section 6.2.3 media-overprint

Page 43 of:
https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v20-20191003-rev.pdf
6.8.9 media-overprint-supported (rangeOfInteger(0:MAX))
<Feedback>
"rangeOfInteger" does not work here. This should be "1setofInteger" because this is for discrete values specified by the printer.

Best regards,
Rick
From: ipp <[email-masked]> On Behalf Of Kennedy, Smith (Wireless & Standards Architect) via ipp
Sent: Thursday, October 03, 2019 10:07 PM
To: PWG IPP WG Reflector <[email-masked]>
Subject: [IPP] Updated draft of IPP Job and Printer Extensions - Set 3 v2.0 posted

Greetings,

I've just posted an updated draft of IPP Job and Printer Extensions - Set 3 v2.0:

   https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v20-20191003.pdf
   https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v20-20191003.docx
   https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v20-20191003-rev.pdf
   https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v20-20191003-rev.docx

Changes include:

  *   Resolved all errata comments
  *   Renamed "soft-proof-icc-profiles" to "print-color-mode-icc-profiles" but chose alternate member attribute names
  *   Refactored tables for "printer-input-tray", "printer-output-tray" and "printer-supply" to make them easier to read and reference / cross-reference with RFC 3805, and spell checked all OID names to hopefully eliminate all typos that were in the old 5100.13
  *   Added conformance tables to all section 6 subsections.
  *   Created a new section 12 "Printer Resource Best Practices" from old section 14.4 and referenced that for HTTP and URI best practices
  *   Refactored and updated the Conformance Requirements section
  *   Added "eliminate-margins" to support the "Eliminate Upper and Lower Margins" and "Banner printing" use cases requested by Canon and HP
  *   Added "media-overprint" to support the "Borderless adjustment setting" use case requested by Canon and HP
  *   Enhanced the description for "print-quality-hints-supported"
Cheers,

Smith

/**
    Smith Kennedy
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Mon, 21 Oct 2019 08:58:55 -0400

Rick/Smith,

Often times when we have an attribute that can take either a range of values or discrete values we use the syntax "1setOf (integer | rangeOfInteger)".

> On Oct 21, 2019, at 8:10 AM, Yardumian, Rick via ipp <[email-masked]> wrote:
> 
> Hi Smith,
>  
> Canon has one comment on the current IPP Job and Printer Extensions – Set 3 v2.0 specification
>  
> Relating to:
> “rangeOfInteger” does not work here. This should be “1setofInteger” because this is for discrete values specified by the printer.
>  
> Best regards,
> Rick
> 	• Resolved all errata comments
> 	• Renamed "soft-proof-icc-profiles" to "print-color-mode-icc-profiles" but chose alternate member attribute names
> 	• Refactored tables for "printer-input-tray", "printer-output-tray" and "printer-supply" to make them easier to read and reference / cross-reference with RFC 3805, and spell checked all OID names to hopefully eliminate all typos that were in the old 5100.13
> 	• Added conformance tables to all section 6 subsections.
> 	• Created a new section 12 "Printer Resource Best Practices" from old section 14.4 and referenced that for HTTP and URI best practices
> 	• Refactored and updated the Conformance Requirements section
> 	• Added "eliminate-margins" to support the "Eliminate Upper and Lower Margins" and "Banner printing" use cases requested by Canon and HP
> 	• Added "media-overprint" to support the "Borderless adjustment setting" use case requested by Canon and HP
> 	• Enhanced the description for "print-quality-hints-supported"
> Cheers,
>  
> Smith
> 
> /**
>     Smith Kennedy
>     HP Inc.
> */
>  

_________________________________________________________
Michael Sweet, Senior Printing System Engineer